package com.jpattern.orm.generator.helper;

/**
 * 
 * Helper to convert object form a getter of ResultSet object to fit a specific setter
 * 
 * @author Francesco Cina'
 *
 * Mar 24, 2012
 */
public abstract class ResultSetGetterHelper {

	public static Boolean wrap(boolean value) {
		return Boolean.valueOf(value);
	}

	public static Byte wrap(byte value) {
		return Byte.valueOf(value);
	}

	public static Character wrap(char value) {
		return Character.valueOf(value);
	}

	public static Double wrap(double value) {
		return Double.valueOf(value);
	}

	public static Float wrap(float value) {
		return Float.valueOf(value);
	}

	public static Integer wrap(int value) {
		return Integer.valueOf(value);
	}

	public static Long wrap(long value) {
		return Long.valueOf(value);
	}

	public static Short wrap(short value) {
		return Short.valueOf(value);
	}

	public static java.util.Date wrap(java.sql.Date value) {
		return new java.util.Date( value.getTime() );
	}

}
