package com.jpattern.orm.session;

import java.sql.SQLException;

import com.jpattern.orm.classmapper.ITableMap;

/**
 * 
 * @author Francesco Cina
 *
 * 21/mag/2011
 */
public interface ISessionProvider {

	ISessionStrategy getSessionStrategy();

	<T> void updateTableMap(ITableMap<T> tableMap, boolean enableDBScan) throws SQLException;
	
}
