package com.jpattern.orm.session;

import java.sql.SQLException;

import com.jpattern.orm.classmapper.ITableMap;

/**
 * 
 * @author Francesco Cina
 *
 * 24/giu/2011
 */
public class NullSessionProvider implements ISessionProvider {

	@Override
	public ISessionStrategy getSessionStrategy() {
		return new NullSessionStrategy();
	}

	@Override
	public <T> void updateTableMap(ITableMap<T> tableMap, boolean enableDBScan)
			throws SQLException {
	}

}
